=== plugins/webinterface/www/CMakeLists.txt ===
add_subdirectory(coldmilk)
add_subdirectory(default)
add_subdirectory(mobile)
