=== po/CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,19 @@
 add_subdirectory( be )
 add_subdirectory( bg )
 add_subdirectory( ca )
+add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
 add_subdirectory( el )
 add_subdirectory( en_GB )
-add_subdirectory( eo )
 add_subdirectory( es )
 add_subdirectory( et )
 add_subdirectory( eu )
-add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( ga )
 add_subdirectory( gl )
 add_subdirectory( hi )
-add_subdirectory( hu )
+add_subdirectory( hne )
 add_subdirectory( it )
 add_subdirectory( ja )
 add_subdirectory( km )
@@ -34,6 +33,7 @@
 add_subdirectory( se )
 add_subdirectory( sk )
 add_subdirectory( sl )
+add_subdirectory( sr )
 add_subdirectory( sv )
 add_subdirectory( tr )
 add_subdirectory( uk )
