## ktorrent 3.3.4+dfsg.1

=== debian/changelog ===
ktorrent (3.3.4+dfsg.1-1ubuntu2) lucid; urgency=low

  * Recommend krosspython (LP: #546719)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 08 Apr 2010 22:09:59 +0200

ktorrent (3.3.4+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support
    - Add kubuntu_01_fix_videowidget_include.diff to fix FTBS

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 28 Feb 2010 23:22:08 +0100

ktorrent (3.3.4+dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #568850).

 -- Modestas Vainius <modax@debian.org>  Wed, 10 Feb 2010 23:19:48 +0200

ktorrent (3.3.3+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 Jan 2010 20:31:37 -0500

ktorrent (3.3.3+dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #565678).
  * Update general/fix_target_link_libraries.diff patch.

 -- Modestas Vainius <modax@debian.org>  Mon, 18 Jan 2010 02:04:07 +0200

ktorrent (3.3.2+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 Dec 2009 09:46:17 -0500

ktorrent (3.3.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Sync ktorrent Debian menu icon with current upstream version.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Use "KDE platform" in the ktorrent package description rather than "KDE 4
    technology platform".
  * Use my @debian.org address in the Uploaders field.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Dec 2009 13:56:00 +0200

ktorrent (3.3.1+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing remaining changes:
    - Build-depend directly on libboost-serialization1.40-dev since
      libboost-serialization-dev from boost-defaults is not in Main
    - Add in rules: include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk
    - Don't use dpkg-source 3.0 format
    - Add quilt to build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Dec 2009 19:17:41 +0100

ktorrent (3.3.1+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in ktorrent-data description (Closes: #557371).
  * Refresh patch general/fix_target_link_libraries.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 24 Nov 2009 14:11:18 +0200

ktorrent (3.3+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch to properly name stable tarballs.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 08 Nov 2009 23:39:57 +0200

ktorrent (3.3~rc1+svn1043995+dfsg.1-1) experimental; urgency=low

  * New upstream development snapshot (3.3rc1+svn1043995):
    * Fixes a couple of crashes.
    - Last Changed Author: guisson
    - Last Changed Rev: 1043995
    - Last Changed Date: 2009-11-02 22:00:03 +0200
    - Translations from 3.3rc1 tarball.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 07 Nov 2009 01:30:38 +0200

ktorrent (3.3~rc1+svn1041897+dfsg.1-1) experimental; urgency=low

  * New upstream development snapshot (3.3rc1+svn1041897):
    * Fixes very high CPU usage with DHT.
    - Last Changed Author: guisson
    - Last Changed Rev: 1041897
    - Last Changed Date: 2009-10-28 21:31:36 +0200
  * Refresh patches.
  * Switch to dpkg-source Format: 3.0 (quilt):
    - set debian/source/format to "3.0 (quilt)";
    - drop quilt from Build-Depends, no longer needed;
    - do not use quilt dh addon anymore;
    - adjust debian/README.source accordingly.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 28 Oct 2009 23:18:58 +0200

ktorrent (3.3~rc1+dfsg.1-1) experimental; urgency=low

  * New upstream development release.
    - sends proper "downloaded" data to tracker (Closes: #534576).
  * Merge 3.2.3.1+dfsg.1-1, 3.2.4+dfsg.1-1 and 3.2.5+dfsg.1-1 packaging.
  * Adapt general/fix_target_link_libraries patch to upstream changes.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 25 Oct 2009 17:11:37 +0200

ktorrent (3.3~beta1+dfsg.1-1) experimental; urgency=low

  * New upstream development release.
  * Merge 3.2.3+dfsg.1-1 packaging.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 11 Aug 2009 12:21:06 +0300

ktorrent (3.3~~svn975833-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: guisson
    - Last Changed Rev: 975833
    - Last Changed Date: 2009-05-31 14:16:26 +0300
  * Change ktorrent-dbg section to debug.
  * Bump debhelper build depend to 7.0.50.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Clean up prune-tarball: some files were removed upstream,
    there is no need to rm them.
  * Update ktorrent.install: add a shutdown plugin.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 01 Jun 2009 03:47:07 +0300

ktorrent (3.2.5+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Build conflict with Qt 4.5.2 and drop patch
    debian/qt_4.5.2-1_phonon_ftbfs_fix.diff. The bug is fixed in Qt 4:4.5.3
    and later.
  * Merge old 3.1.x changelog entries from lenny: 3.1.2+dfsg.1-1,
    3.1.3+dfsg.1-1, 3.1.3+dfsg.2-1 and 3.1.4+dfsg.1-1.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 25 Oct 2009 16:15:03 +0200

ktorrent (3.2.4+dfsg.1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build-depend directly on libboost-serialization1.38-dev since
      libboost-serialization-dev from boost-defaults is not in Main
    - Add KUBUNTU_DESKTOP_POT to rules
    - Drop libphonon-dev

