=== debian/changelog ===
ktorrent (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump libktorrent-dev build dependency to 1.0.2.
  * Bump Standards-Version to 3.9.0: add Breaks next to Replaces where needed.
  * No longer reference BSD from common-licenses in debian/copyright, replace
    it with copyright/license blob.
  * Fix indentation style in debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Thu, 08 Jul 2010 23:31:43 +0300

ktorrent (4.0.1-1) unstable; urgency=low

  * New upstream release:
    - Make sure that there are no uncaught exceptions (Closes: #585803).
  * Bump build dependency on libktorrent-dev to >= 1.0.1.

 -- Modestas Vainius <modax@debian.org>  Tue, 15 Jun 2010 01:38:47 +0300

ktorrent (4.0.0-1) unstable; urgency=low

  * New upstream release:
   - "Pause KTorrent" was renamed to avoid confusion (Closes: #536319);
   - Statistics are updated dynamically in the system tray (Closes: #526775);
   - Torrent state is updated even when it isn't started (Closes: #575878).
  * Fix spelling error in ktorrent-data description (Closes: #557893).
  * Add patch general/drop_excess_dependencies.diff - drop excess build
    dependency requirements from CMakeLists.txt, adjust required versions of Qt
    and KDE.
  * Changes for KTorrent split:
    - build depend on libktorrent-dev (>= 1.0.0);
    - remove libgmp3-dev, libqca2-dev from build depends;
    - drop libbtcore from ktorrent.install file;
    - replace libboost-serialization-dev with libboost-dev.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Add libktorrent-l10n to ktorrent Depends.
  * Add libktorrent-dbg to ktorrent-dbg Depends.
  * Drop topgit support from debian/rules.
  * Rewrite debian/README.source: no more topgit.
  * Drop all patches. They have been applied upstream.
  * Drop extra debian/copyright.* files. No longer used in the workflow.

 -- Modestas Vainius <modax@debian.org>  Fri, 28 May 2010 21:08:04 +0300

ktorrent (4.0~beta2-1) experimental; urgency=low

  * New upstream release.
  * Enable parallel building: pass --parallel option to dh.
  * Merge changes from debian 3.3.{3,4} packages.
  * Drop hunk 1 from the general/fix_target_link_libraries.diff patch - merged
    upstream.
  * Bump libqt4-dev build dependency to 4:4.6 - needed by plasmoid. As a
    result, drop Build-Conflicts with libqt4-dev 4:4.5.2.
  * Update install files.
  * Do not use asterisks in debian/NEWS.

 -- Modestas Vainius <modax@debian.org>  Mon, 05 Apr 2010 17:36:52 +0300

ktorrent (4.0~beta1-1) experimental; urgency=low

  * New upstream development release.
  * DFSG offensive files removed upstream, using vanilla tarball from now on:
    - drop prune-nonfree target from debian/rules;
    - no longer pass -DWITH_BUILTIN_COUNTRY_FLAGS:BOOL=OFF to cmake.
  * Update install files.
  * Adapt general/fix_target_link_libraries.diff to upstream changes.
  * Skip test suite.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Dec 2009 14:51:55 +0200
