=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
- kdelibs5-dev (>= 4:4.2.0), libphonon-dev (>= 4:4.3.0), kdepimlibs5-dev (>= 4:4.2.0),
- kdebase-workspace-dev (>= 4:4.2.0), libtag1-dev,
- pkg-config, libgeoip-dev, libgmp3-dev, libqca2-dev, libx11-dev, libboost-serialization1.40-dev
-Build-Conflicts: libqt4-dev (= 4:4.5.2-1), libqt4-dev (= 4:4.5.2-2)
-Standards-Version: 3.8.3
+ libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
+ kdepimlibs5-dev (>= 4:4.4), libboost-dev,
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.2),
+ libtag1-dev, libgeoip-dev, libx11-dev
+Standards-Version: 3.9.0
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
 
 Package: ktorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version})
-Recommends: krosspython
+Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
+ libktorrent-l10n
 Suggests: plasma-widget-ktorrent (= ${binary:Version})
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
@@ -38,18 +37,19 @@
    - Various security features like IP blocking and protocol encryption.
    - Disk space preallocation to reduce fragmentation.
    - uTorrent compatible peer exchange.
-   - Autoconfiguration for LANs like Zeroconf extension and port forwarning via
+   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
      uPnP.
    - Scripting support via Kross and interprocess control via DBus interface.
    - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
-   - Lots of other useful builtin features and plugins.
+   - Lots of other useful built-in features and plugins.
 
 Package: ktorrent-data
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: ktorrent (>= ${source:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn902175)
-Description: KTorrent data and other architecture independant files
+Breaks: ktorrent (<< 3.2~beta1+svn902175)
+Description: KTorrent data and other architecture independent files
  This package contains architecture independent data files for KTorrent,
  a BitTorrent peer-to-peer network client. Unless you have ktorrent package
  installed, you probably won't find this package useful.
@@ -59,6 +59,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
+Breaks: ktorrent (<< 3.2~beta1+svn898132)
 Conflicts: plasma-applet-ktorrent
 Description: KTorrent Plasma widget
  This package provides the KTorrent Plasma widget which features display of
@@ -72,11 +73,11 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, ktorrent (= ${binary:Version})
+Depends: ${misc:Depends}, ktorrent (= ${binary:Version}), libktorrent-dbg
 Recommends: kdelibs5-dbg
 Description: KTorrent debugging symbols
  This package contains debugging symbols for KTorrent. When KTorrent crashes,
  in most cases this package is needed to get a backtrace that is useful for
  developers. If you have experienced KTorrent crash without this package
- installed, please install it, try to reproduce the problem and fill a bug
+ installed, please install it, try to reproduce the problem and file a bug
  report with a new backtrace attached.
