=== debian/changelog ===
ktorrent (4.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
    - Bump libktorrent-dev build dependency to 1.0.3

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 05:12:03 +0200

ktorrent (4.0.2-1ubuntu2) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-network_ktorrent

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 16:58:55 +0100

ktorrent (4.0.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes
    - ktorrent recommends krosspython
    - kept Replaces and Conflicts on plasma-applet-ktorrent

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 19 Jul 2010 11:49:12 +0200

ktorrent (4.0.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining change:
    - ktorrent recommends krosspython

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 16 Jun 2010 20:18:28 +0200

ktorrent (4.0.0-1ubuntu2) maverick; urgency=low

  * Rebuild for libsolidcontrol4 -> libsolidcontrol4a transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 12 Jun 2010 04:06:20 +0200

ktorrent (4.0.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining change:
    - Keep recommends on krosspython

 -- Michał Zając <michal.zajac@gmail.com>  Sun, 30 May 2010 13:37:37 +0200
