=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev,
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.2),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.3),
  libtag1-dev, libgeoip-dev, libx11-dev
 Standards-Version: 3.9.0
 Homepage: http://ktorrent.org/
@@ -17,6 +18,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
  libktorrent-l10n
+Recommends: krosspython
 Suggests: plasma-widget-ktorrent (= ${binary:Version})
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
@@ -59,7 +61,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
-Breaks: ktorrent (<< 3.2~beta1+svn898132)
+Breaks: ktorrent (<< 3.2~beta1+svn902175)
 Conflicts: plasma-applet-ktorrent
 Description: KTorrent Plasma widget
  This package provides the KTorrent Plasma widget which features display of
