## ktorrent 4.0.5

=== debian/changelog ===
ktorrent (4.0.5-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #716639)
    - debian/control:
      + ktorrent recommends krosspython
      + Build against libboost1.42-dev
      + Bump Build-Depends on kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3)
        for transition libtaskmanager4a -> libtaskmanager4b
      + Update other Build-Depends
    - debian/rules:
      + Add export KUBUNTU_DESKTOP_POT=extragear-network_ktorrent
  * Drop debian-changes-4.0.4-0ubuntu3, merged upstream

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 05 Feb 2011 22:15:18 +0100

ktorrent (4.0.5-3) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Tue, 01 Feb 2011 00:40:46 +0200

ktorrent (4.0.5-2) experimental; urgency=low

  * Reupload because previous upload was screwed.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Dec 2010 12:32:26 +0200

ktorrent (4.0.5-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent 1.0.5.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Dec 2010 12:16:35 +0200

ktorrent (4.0.4-1) experimental; urgency=low

  * New upstream release.
  * Bump libktorrent-dev build dependency to 1.0.4.

 -- Modestas Vainius <modax@debian.org>  Wed, 20 Oct 2010 14:52:03 +0300

ktorrent (4.0.4-0ubuntu3) natty; urgency=low

  * Make sure ktorrent compiles and works with new solid powermanagement API
    introduced in KDE 4.6beta2 (4.5.85)
    - Cherry pick from ktorrent git: 34b12bc53bf5826318623f6ae72c238eac5fc886    

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Dec 2010 09:16:32 -0500

ktorrent (4.0.4-0ubuntu2) natty; urgency=low

  * Rebuild against kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3) for
    libtaskmanager4a -> libtaskmanager4b

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 06:40:28 +0200

ktorrent (4.0.4-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libktorrent-dev 1.0.4
    - Build against libboost1.42-dev

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 23:59:52 +0200
