=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
- kdepimlibs5-dev (>= 4:4.4), libboost-dev,
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.3),
+ libqt4-dev (>= 4:4.7.0), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.7.0really4.4.2),
+ kdepimlibs5-dev (>= 4:4.5), libboost1.42-dev,
+ kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3), libktorrent-dev (>= 1.0.5),
  libtag1-dev, libgeoip-dev, libx11-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
@@ -61,7 +61,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
-Breaks: ktorrent (<< 3.2~beta1+svn902175)
+Breaks: ktorrent (<< 3.2~beta1+svn898132)
 Conflicts: plasma-applet-ktorrent
 Description: KTorrent Plasma widget
  This package provides the KTorrent Plasma widget which features display of
